import z from 'zod';

export const FetchRemissionReturnReceiptsSchema = z.object({
  returncompleted: z.boolean(),
  start: z.coerce.date().optional(),
});

export type FetchRemissionReturnReceipts = z.infer<
  typeof FetchRemissionReturnReceiptsSchema
>;

export type FetchRemissionReturnReceiptsParams = z.input<
  typeof FetchRemissionReturnReceiptsSchema
>;
